# MorphoClaim

### Description

Claims Morpho rewards for any address

### Action ID

`0x50967400`

### SDK Action

```ts
const morphoClaimAction = new dfs.actions.morpho.MorphoClaimAction(
    onBehalfOf,
    claimable,
    proof
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param onBehalfOf address for which to claim
    /// @param claimable The overall claimable amount of token rewards
    /// @param proof The merkle proof which validates the claim
    struct Params {
        address onBehalfOf;
        uint256 claimable;
        bytes32[] proof;
    }
```

### Return Value

```solidity
return bytes32(amount);
```

### Events and Logs

```solidity
emit ActionEvent("MorphoClaim", logData);
logger.logActionDirectEvent("MorphoClaim", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/morphooptimizers/morphoclaim.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
